commit c2550844310d8c7a95d00171caec4e27fb05749f
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Thu Feb 4 12:44:44 2010 -0800

    Fixed error when enabling extra units

commit a630c8f4495258f6c6fb58910e23cf4b76626515
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Tue Dec 22 00:49:45 2009 -0800

    All temporary enchant update issues should be fixed, I hope!

commit 0c8cf18dcdaa322e27bf10ac5024adf615810458
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Tue Dec 22 00:49:04 2009 -0800

    TOC bump 30300

commit 2d21f373331e8d92e047a13da6909e5cb4e70c6d
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Tue Dec 22 00:48:16 2009 -0800

    Updated localization, and moved it all to the namespace locals

commit 49c6bef9ca273075ade195e4b1aa38e617adac8f
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Tue Dec 22 00:47:57 2009 -0800

    Moved to using namespace table Blizzard provides

commit 33363f42d5dc0fbab416ce43a48d334d748c2e80
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Tue Dec 22 00:25:18 2009 -0800

    Added new files

commit e12f34b6017da8b9dbbc4daf01d0750f8f1f73d4
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Tue Dec 22 00:24:57 2009 -0800

    Library update

commit 13640658e59a2bf78d7eb0ed63e63b50310b1821
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Fri Aug 7 13:40:12 2009 -0700

    - Library update

commit 3c16c7bf6ae053a80a2fb0cbe945f69ca662ca72
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Fri Aug 7 13:39:56 2009 -0700

    - Fixed a typo for offhand temporary enchant detection

commit e9bfe2f8a651d37a2c0c39c78eeb1168447367ea
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Fri Aug 7 13:39:44 2009 -0700

    - TOC Bump

commit 96aa278de4d348351ee130228f29d0a63985b5e8
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sat Aug 1 23:22:38 2009 -0700

    * Changed temporary enchant detection, hopefully will fix bugs with it not working correctly
    * Changed temporary enchants to be enabled by default
    * Changed DB to use a default profile
    * Fixed issues related to temporary enchants and changing/reloading profiles
    * Library update

commit 073054f7393d906887023c060a33945bde87e01d
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sat May 23 21:19:08 2009 -0700

    * You can no longer loop anchors through the configuration

commit ddae9459f3468bacba9c835a844ad61cdef84cbf
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sun May 10 15:47:18 2009 -0700

    * Fixed an issue with filters not being changed when using duel specs

commit 4c72adf5f3d041a881a281745c698ab53fe613ea
Author: unknown <Shadowed@.(none)>
Date:   Thu May 7 14:33:37 2009 -0700

    * Stupid CRLF

commit b862ecee3a30bbad61dc761035e24a1ee6c00aff
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sun May 3 02:19:51 2009 +0000

    * Fixed color by type not working, you might have to reset the option for it to take affect
    * Blizzard timer format is now simply seconds, no longer pads it with a 0

commit 818082c8bb390d7d4df2132e33dc4bb8a2671524
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sun May 3 00:23:29 2009 +0000

    * Cleaned up code a bit
    * Cleaned up the temporary enchant code, will only update it if theres an actual change now, this should also fix a bug with a concat error on 'name'

commit 866794dcaab6a1978a9f33fd169217e87be6e182
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sat May 2 08:06:21 2009 +0000

    * Fixed an error in temp enchants when using a Fishing Lure

commit 95944ac99691c3e7378f27cdb6ac50ba55a0bd9b
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Fri May 1 03:50:39 2009 +0000

    * Fixed a bug if you tried to set a custom font that wasn't loaded at the exact time the bars are created

commit 94200a6013e3cbb73f92577b6f8bf2607ef81c14
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Fri May 1 01:06:42 2009 +0000

    * Oh right now I remember why I was checking type, fixed debuff color not turning red

commit 66bb9a013e6b57fc47fe3b2cb9c04025be12efe8
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Fri May 1 01:03:15 2009 +0000

    * Added an option to hide the icons
    * Cleaned up the buff code slightly
    * Updated korKR (Thanks Can)

commit f398fad074622b2c62d4403be7d24e2df18eb4ee
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Tue Apr 28 04:22:09 2009 +0000

    * Fixed OnClick being called if the buff wasn't one from the player
    * Updated/Added zhCN/zhTW localization (Thanks wowui.cn)

commit 8946f919dca3c5a8a7b09593f7b7d866c65dd35b
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Mon Apr 27 21:17:25 2009 +0000

    * Added korKR localization (Thanks again to Can)

commit eec0f1812ea29ca276e9531e30713a624de080ad
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Mon Apr 27 00:18:52 2009 +0000

    * Removed PASSIVE aura filter, as it was removed at some point
    * Updating an extra units configuration will update that anchor without to reset the unit
    * Added an option to filter buffs the player did not cast (for extra units only)

commit 46cf8ff1e5970ee4256868d88503ff2f54e499a1
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sat Apr 25 04:12:11 2009 +0000

    * Should add a tooltip clarifying that if they disable extra units, the configuration for those are reset too I guess

commit 74edbf938272e1c58eca7e63a4ac5ba604fd4965
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sat Apr 25 04:08:34 2009 +0000

    * Fixed temporary enchants having multiple instances appear of the same one
    * Added all of the code in to support target/focus/pet bars (When enabled)

commit 592c8753266db0869160facd1cf31581563c8bf6
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sat Apr 25 03:34:25 2009 +0000

    * Started to add base code in to allow buff bars for focus/pet/target, since it turns I can do it with very little additional code (If the user doesn't want them enabled)
    * Fixed PEW not being unregistered after the first call
    * Fixed text width of bars, will correctly resize based on the timer duration width
    * Fixed an error at line #101 in filters.lua
    * Cleaned up the configuration, no longer uses some of the old whacky methods
    * Redid and cleaned up a lot of the display code, no longer need to hack in temporary enchants/tracking to get them to display in anchors
    * Added the ability to enable or disable groups

commit 66f3f030c05bd94c5521601a91f92c633e433f54
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Fri Apr 17 18:06:30 2009 +0000

    * Scale can't go below 0.01 now to prevent an error
    * Changed pattern match on temporary enchant names to work with both US and Korean localizations (Thanks Can)

commit 9047051265fa15923368d78f337b1ec00b34b110
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Thu Apr 16 22:45:30 2009 +0000

    * Added a check so we don't stack overflow in OnShow

commit 63bb739866faa9e358c938217b67e0092dd619e6
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Thu Apr 16 22:43:55 2009 +0000

    * Anchor spacing can go from -100 to 100 now (not 0 to 100)

commit 82f1964e79599f1ca5c3c14a5256cc23779ef0e4
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Thu Apr 16 22:40:53 2009 +0000

    * Fixed tempenchants typo that was allowing temp enchants to be anchored to itself

commit cade928de498f4a73ee8c08d6e16609c944c3380
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Thu Apr 16 01:49:32 2009 +0000

    * Fixed a spellID of the Unleashed Rage filter since Blizzard reduced it from 5 -> 3 ranks

commit 42c4bc1ff455ad566d1ecae74c21575096e35bcf
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sun Apr 12 20:42:14 2009 +0000

    * Entering a vehicle will now swap it to showing the buffs of that vehicle until you exit (If UnitHasVehicleUI returns true)
    * TOC bump
    * Library update

commit 71cb8e1856e452cc806dbcec0c84e755a283605c
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Tue Jan 13 23:08:52 2009 +0000

    * Added Strength of Earth to the caster filter

commit 8b3c27aac2a822751292dcc7b9f87c4af9600c0c
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Mon Dec 8 22:34:01 2008 +0000

    * and I should pay more attention and remove debug code

commit 9d0efadaf0136b389b3289b0577af6dc465d2ed5
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Mon Dec 8 22:32:13 2008 +0000

    * Fixes Track Humanoid bugging out what we're currently tracking

commit 2014bcd4eee48ec4e99a489058aa7d77bb393b07
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Mon Dec 8 20:28:25 2008 +0000

    * Added Stoneskin, Greater Blessing of Might, and fixed the spellID for Abomination's Might in the Caster filter
    * Added Greater Blessing of Wisdom to the Physical filter

commit 4761d35f91e37cb092dae0c0c1c7e7b380e2274b
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Thu Dec 4 01:25:10 2008 +0000

    * Fixed anchor spacing issues
    * Trying out a new filtering system, to reduce the amount of buffs shown due to the raid wide stuff.
    * Has two filters right now, Physical = Hide Divine Spirit, Flametongue Totme, Moonkin Aura, etc, things that physical DPS don't care about. Caster = Hide Windfury Totem, Blessing of Might, Battle Shout, etc, things casters don't care about.
    * Includes an auto filter option to swap between filters depending on class spec.
    * Shamans will have the caster filter loaded if they aren't enhancement, Druids will have the Physical filter loaded if they are Feral but caster otherwise, and Holy Paladins will have the caster filter loaded

commit f4f16991d0dd63839397ab5ccde57e835c9546af
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Wed Oct 15 06:48:14 2008 +0000

    * Fixed an error when using temporary weapon enchants

commit 81bdc58d7ddd569718be965b0f7f867cdd6d6d2c
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Mon Oct 13 07:07:12 2008 +0000

    * This is now a 3.0 only version
    * Merged wotlk/ branch with trunk/ version

commit 32a4933fb543edc69521092a2dffeca7b779ae7a
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Fri Sep 26 20:09:43 2008 +0000

    * Oh also, updated a ton of libraries

commit d1bc5df4e57f5e73d4d386333359a6856e92b2d4
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Fri Sep 26 20:07:25 2008 +0000

    * Added a stack first option as a replacement for showing stack inside the icon

commit 10ae9ba7a0a5ea0234d77f394a6071c4bf652588
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Fri Sep 12 20:11:03 2008 +0000

    * Removed the old update queuing code since thats not needed

commit 4b4a159a2de3bba2ac22ba779f520a8f7f4f0368
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Mon Sep 8 18:10:08 2008 +0000

    * Removed AceTimer-3.0 and AceBucket-3.0 as we don't use them
    * Fixed temporary enchants still showing even after you turned them off

commit 1264f68cebb035efdd06d182414cdd82ad726178
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Fri Sep 5 00:01:20 2008 +0000

    * Fixed being able to anchor a frame to itself causing an infinite loop issue
    * Fixed multiple UpdateDisplay calls in Reload()
    * Added in a separate anchor for temporary enchants, by default this is shunted into the buffs frame but you can move it into it's own, or debuffs
    * Improved our anchoring code, if you anchor debuffs -> tempEnchants -> buffs it'll automatically anchor debuffs to buffs when tempEnchants isn't visible
    * Updated localization.zhCN.lua
    * Added Bazaar support
    * Changed usage of tempBuffs to tempEnchants
    * Changed the debuff example to a Curse instead of none

commit b130ff6711feaffdb79e4c093a02cca14a2f76ba
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Wed Sep 3 19:42:13 2008 +0000

    * Fixed a GUI display bug in global options
    * Fixed a bug where if you anchored debuffs to buffs (or vica versa) the debuffs wouldn't show unless you had a buff
    * Added an option to switch between HH:MM:SS and "1h30m/30m/05s" (Blizzard default) formats

commit 4502a4c06b33bcfd9eb2563f5d38a958614c4808
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Tue Sep 2 00:57:15 2008 +0000

    * Oops fixed debuff coloring

commit cd923c49eea0b6a5b65c48d9bbdef072b5245ccf
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Tue Sep 2 00:42:41 2008 +0000

    * Added an option to hide passive buffs
    * Fixed a bug with colors not being set or changed correctly if timeless was off
    * Changed buff tooltip anchor to bottomleft instead of topleft

commit ed64fbb5ad992d036a4ced7551a7c2ad53da0d1d
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sat Aug 30 06:51:04 2008 +0000

    * Fixed a temporary enchant bug where if you had enchants applied to both weapons, the off-hand would show the enchant at 0:00 instead of removing it
    * Updated localization.zhCN.lua

commit 9e798c0187e9eb5a879cdd7c2aa32491726a3584
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Tue Aug 26 00:19:06 2008 +0000

    * Fixed a sorting bug since I fixed a typo of canceled

commit eab22f6fedc651c0db03a1882f69f1b45a48d7ab
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Mon Aug 25 20:47:55 2008 +0000

    * Changed our sorting code, instead of setting up the bar rows and sorting/repositioning them we add them to a temporary table. This fixes the flashing bug when changing settings, hack job to stop it from updating while moving, and also the tracking menu jumping
    * Fixed timer width, if it's until canceled we give the text the full bar width, if it's not then we only give bar width - 40
    * Fixed scale being in increments of 0.10 not 0.01

commit f288055d0bfd3c309be1075b15a2c8c17191a6c0
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Tue Aug 12 18:44:54 2008 +0000

    * Added in custom sorting, two options right now are by time left and by buff index, see /sbb ui for more information

commit 05050e499e1103c6111b24e3a38dc97759eeb30d
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Mon Aug 11 07:00:34 2008 +0000

    * Sadly had to change to an OnUpdate for tracking temporary weapon enchants for now, it seems that the events I was checking had some issues with Windfury or stupid Shaman buffs like that

commit 7028bca71ae6aacc587aa4826d2ff079cf20b5b8
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Wed Jul 30 00:57:02 2008 +0000

    * DEPENDENCIES R LAME
    * Fixed AceTimer-3.0 not being there for AceBucket-3.0, restart the game if you're getting this error

commit f0d295adee64c2b8b7ae0235c6c2610e34473f3a
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Wed Jul 30 00:34:00 2008 +0000

    * Fixed the frames not hiding with the UI when you use ALT + Z

commit e85668afcbbc3c7547fcecef54bb589f78e610f3
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Tue Jul 29 18:56:03 2008 +0000

    * Oops, forgot to flip the anchor padding into a negative

commit f56ed1b8e06b4fb9942055f8073a5a93860a76f8
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Tue Jul 29 18:53:51 2008 +0000

    * Added localization.zhCN.lua
    * Added a temporary buff color option
    * Fixed grow up having issues with the anchor padding not being turned into a positive, also removed the ability to set anchor padding to negative
    * Fixed the frame getting stuck while moving it, if you gained a buff. Will delay all buff frame updates while dragging until it's completed

commit fdd9ede326cab3c3d2e846e3665dbf7681cee83c
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sun Jul 27 20:52:07 2008 +0000

    * Added AceBucket-3.0, so game restart is required
    * Fixed a weird flickering issue if you had temp buffs, tracking and buffs all enabled when switching between forms
    * Cleaned up the code a little for sorting and updating rows, as well as temp weapon enchants

commit 352d07c3d26aebf5fa0675c1b503c86bee65e5ac
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sat Jul 26 09:18:50 2008 +0000

    * Initial Import: SimpleBuffBars/
    * Does the basics, buff, debuffs, tracking, temp enchants, change stuff, sizing, ect, ect. Will automatically hide the Blizzard buff/debuffs, if you want to see them then don't use this.
    * First version, so still hacky code wise but will improve it in the next few versions, the configuration and most of the options are in just type /sbb for configuration
    * Replacement for ElksBuffBars, but with less evil
